//*****************************************************************************
//
// TOProotX.h
// structures for data exchange via root tree files
//-----------------------------------------------------------------------------
//*****************************************************************************

#ifndef _TOProotX_h
#define _TOProotX_h

#include "TROOT.h"
#include "TFile.h"
#include "TTree.h"

typedef struct {        // event record
  Int_t   numTrack;     // number of tracks in the event
  Int_t   numData;      // number of detected photons in the event (data size)
} EventX;

typedef struct {        // track record
  Float_t x, y, z;      // 3D point (BelleII frame)
  Float_t px, py, pz;   // momentum vector (BelleII frame)
  Float_t tlen;         // track length from IP to 3D point
  Float_t charge;       // track charge (+/-1)
  Int_t   lund;         // LUND code 
  Int_t   QbarID;       // Q-bar hitted or -1 
} TrackX;

typedef struct {        // detected photon record
  Int_t   QbarID;       // Q-bar ID
  Int_t   chID;         // channel ID
  Int_t   TDC;          // digitised time
  Float_t x;            // channel coordinate (Q-bar frame)
  Float_t y;            // channel coordinate (Q-bar frame)
  Float_t z;            // channel coordinate (Q-bar frame)
  Float_t t;            // time of arrival
} DataX;

#endif
